# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/ee/ee/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/ee/ee/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Ee\\Ee\\": "packages/ee/ee/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Ee\Ee\Providers\EeServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Ee'  => Ee\Ee\Facades\Ee::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Ee\\EeTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Ee\Ee\Providers\EeServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Ee\Ee\Providers\EeServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Ee\Ee\Providers\EeServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/ee/{modulename}

**User**

    http://path-to-route-folder/user/ee/{modulename}

**Public**

    http://path-to-route-folder/ees


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/ee/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/ee/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/ee/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/ee/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/ee/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/ee/{modulename}/{slug}
    METHOD: GET