Lavalite package that provides ee management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `ee/ee`.

    "ee/ee": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Ee\Ee\Providers\EeServiceProvider::class,

And also add it to alias

    'Ee'  => Ee\Ee\Facades\Ee::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Ee\\EeTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Ee\Ee\Providers\EeServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Ee\Ee\Providers\EeServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Ee\Ee\Providers\EeServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/ee/{modulename}

**User**

    http://path-to-route-folder/user/ee/{modulename}

**Public**

    http://path-to-route-folder/ees


### API endpoints

**List**

    http://path-to-route-folder/api/user/ee/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/ee/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/ee/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/ee/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/ee/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/ee/{modulename}/{slug}
    METHOD: GET